/*
 * scdis:  MSFS Scenery Decompiler for scasm.
 *
 * Copyright (C) 1996-2000 Takuya Murakami. All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 * $Id: sec15ana.h,v 1.4 2000/01/04 06:41:49 tmurakam Exp $
 */
/*
 * sec15ana.h
 */

extern SecRecordTab sec15tab[];

extern void AnalyzeSec15(u_int32);

extern void	anaDynDump(char *, u_int8, int);
extern void	anaDynNoArg(char *, u_int8, int);
extern void	anaDynArgBd(char *, u_int8, int);
extern void	anaDynArgWd(char *, u_int8, int);
extern void	anaDynHeading(char *, u_int8, int);
extern void	anaDynRotate(char *, u_int8, int);
extern void	anaDynMove1(char *, u_int8, int);
extern void	anaDynMove2(char *, u_int8, int);
extern void	anaDynMove3(char *, u_int8, int);
extern void	anaDynAccel1(char *, u_int8, int);
extern void	anaDynAccel2(char *, u_int8, int);
extern void	anaDynAccel3(char *, u_int8, int);
extern void	anaDynTurn(char *, u_int8, int);
extern void	anaDynJumpCall(char *, u_int8, int);
extern void	anaDynSetColor(char *, u_int8, int);
extern void	anaDynPattern(char *, u_int8, int);
extern void	anaDynSetPos(char *, u_int8, int);
extern void	anaDynLatRef(char *, u_int8, int);

extern void	anaDynMoveToPosX(char *, u_int8, int);
extern void	anaDynTaxiTo(char *, u_int8, int);
extern void	anaMonitorRwy(char *, u_int8, int);
